Bug 136819 - /usr/bin/build-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/build-jar-repository: error: JVM_LIBDIR /usr/lib/jvm-exports/java do...
Status: CLOSED UPSTREAM
Product: Red Hat Application Server
Classification: Retired
Component: tomcat (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Permaine Cheung
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 10:48 EDT by Steffen Mann
Modified: 2007-04-18 13:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 10:14:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steffen Mann 2004-10-22 10:48:57 EDT
up2date -i mod_jk2 tomcat5 tomcat5-admin-webapps ENTER produces the
following:

Fetching Obsoletes list for channel: rhel-i386-as-3...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: rhel-i386-as-3-extras...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: rhel-i386-as-3-cluster...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-i386...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: rhel-i386-as-3-gfs-6...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: rhel-3-as-i386-rhaps-1...
                                                                     
                                                                     
                 
Fetching Obsoletes list for channel: redhat-rhn-satellite-3.5-as-i386-3...
                                                                     
                                                                     
                 
Fetching rpm headers...
########################################
                                                                     
                                                                     
                 
Name                                    Version        Rel
----------------------------------------------------------
mod_jk2                                 2.0.4          4jpp_4rh      
   i386
tomcat5                                 5.0.27         2jpp_1rh      
   noarch
tomcat5-admin-webapps                   5.0.27         2jpp_1rh      
   noarch
                                                                     
                                                                     
                 
                                                                     
                                                                     
                 
Testing package set / solving RPM inter-dependencies...
########################################
mod_jk2-2.0.4-4jpp_4rh.i386 ########################## Done.
tomcat5-5.0.27-2jpp_1rh.noa ########################## Done.
tomcat5-admin-webapps-5.0.2 ########################## Done.
jakarta-commons-daemon-1.0- ########################## Done.
jakarta-commons-dbcp-1.2.1- ########################## Done.
jakarta-commons-el-1.0-2jpp ########################## Done.
jakarta-commons-fileupload- ########################## Done.
jakarta-commons-launcher-0. ########################## Done.
jakarta-commons-pool-1.1-1j ########################## Done.
java-1.4.2-ibm-1.4.2.0-1jpp ########################## Done.
jta-1.0.1-0.b.3jpp_1rh.noar ########################## Done.
ldapjdk-4.1-5jpp_1rh.noarch ########################## Done.
servletapi5-5.0.18-1jpp_2rh ########################## Done.
struts-1.1-2jpp_2rh.noarch. ########################## Done.
tyrex-1.0-3jpp.noarch.rpm:  ########################## Done.
jakarta-commons-validator-1 ########################## Done.
oro-2.0.8-1jpp_1rh.noarch.r ########################## Done.
Preparing              ########################################### [100%]
                                                                     
                                                                     
                 
Installing...
   1:oro                   
########################################### [100%]
   2:servletapi5           
########################################### [100%]
   3:java-1.4.2-ibm        
########################################### [100%]
  
4:jakarta-commons-fileupl###########################################
[100%]
   5:jakarta-commons-pool  
########################################### [100%]
   6:jakarta-commons-dbcp  
########################################### [100%]
   7:ldapjdk               
########################################### [100%]
  
8:jakarta-commons-validat###########################################
[100%]
   9:struts                
########################################### [100%]
  10:tyrex                 
########################################### [100%]
  11:jta                   
########################################### [100%]
 
12:jakarta-commons-launche###########################################
[100%]
  13:jakarta-commons-el    
########################################### [100%]
  14:jakarta-commons-daemon
########################################### [100%]
  15:tomcat5               
########################################### [100%]
/usr/bin/build-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/build-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/build-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
  16:mod_jk2               
########################################### [100%]
  17:tomcat5-admin-webapps 
########################################### [100%]
/usr/bin/build-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
The following packages were added to your selection to satisfy
dependencies:
 
Name                                    Version        Release
--------------------------------------------------------------
jakarta-commons-daemon                  1.0            0.alpha.1jpp_1rh
jakarta-commons-dbcp                    1.2.1          1jpp_1rh
jakarta-commons-el                      1.0            2jpp_1rh
jakarta-commons-fileupload              1.0            1jpp_4rh
jakarta-commons-launcher                0.9            2jpp_1rh
jakarta-commons-pool                    1.1            1jpp_1rh
java-1.4.2-ibm                          1.4.2.0        1jpp_8rh
jta                                     1.0.1          0.b.3jpp_1rh
ldapjdk                                 4.1            5jpp_1rh
servletapi5                             5.0.18         1jpp_2rh
struts                                  1.1            2jpp_2rh
tyrex                                   1.0            3jpp
jakarta-commons-validator               1.0.2          2jpp_1rh
oro                                     2.0.8          1jpp_1rh
Comment 1 Permaine Cheung 2004-10-26 17:15:27 EDT
You need to install the java-devel package from the RHEL 3 Extras
channel, which will create the sym link /usr/lib/jvm-exports/java for
you. 
Comment 2 Permaine Cheung 2004-11-05 10:14:45 EST
We've brought the issue upstream to determine whether if the
requirement should be put in the spec file.

Note You need to log in before you can comment on or make changes to this bug.